Subject: [bug#75688] [PATCH 0/2] Introduce GUIX_LIBRARY_PATH to replace harmful environment variables

From: Ludovic Courtès <[email-masked]>
Date: Mon, 24 Mar 2025 09:40:32 +0100

Hello,

Maxim Cournoyer <[email-masked]> skribis:

> Just to make sure, GUIX_* variables would be honored *on top* of their
> non GUIX_ prefixed (stock) variants, right?  E.g. we wouldn't want GCC
> to stop honoring LIBRARY_PATH even if we add GUIX_LIBRARY_PATH, as that
> would confuse users.

Even, I would rather not change GCC and Binutils search paths at all:
it’s all too risky (we’d have troubles understanding where problems come
from, given semantics even more complex than they already are—remember
the #include_next problems we’ve had?), and we’d diverge too
significantly from upstream (search path issues would likely be “our”
problem, no way to report it upstream, etc.).

Overall, I think we should be cautious about GUIX_-prefixing search path
environment variables and be sure to weigh the pros and cons.

Ludo’.